## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate fixed

Name:           rust-fixed
Version:        1.28.0
Release:        %autorelease
Summary:        Fixed-point numbers

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/fixed
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused optional support for borsh
# * drop nightly-only features
Patch:          fixed-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fixed-point numbers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+az-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+az-devel %{_description}

This package contains library source intended for building other packages which
use the "az" feature of the "%{crate}" crate.

%files       -n %{name}+az-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+f16-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+f16-devel %{_description}

This package contains library source intended for building other packages which
use the "f16" feature of the "%{crate}" crate.

%files       -n %{name}+f16-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fail-on-warnings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fail-on-warnings-devel %{_description}

This package contains library source intended for building other packages which
use the "fail-on-warnings" feature of the "%{crate}" crate.

%files       -n %{name}+fail-on-warnings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages which
use the "num-traits" feature of the "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-str-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-str" feature of the "%{crate}" crate.

%files       -n %{name}+serde-str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Oct 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.28.0-1
- Update to version 1.28.0

* Thu Aug 08 2024 Fabio Valentini <decathorpe@gmail.com> - 1.23.1-5
- Fix syntax for skipping doctests to resolve build issues with Rust 1.80+

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.23.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.23.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 1.23.1-1
- Update to version 1.23.1; Fixes RHBZ#2178058

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Mar 05 2022 Rémi Lauzier <remilauzier@protonmail.com> - 1.13.0-1
- Update to version 1.13.0; Fixed RHBZ#2050855

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 11 2021 Rémi Lauzier <remilauzier@protonmail.com> - 1.11.0-2
- Remove borsh feature; Fixes RHBZ#2031313

* Fri Dec 10 2021 Rémi Lauzier <remilauzier@protonmail.com> - 1.11.0-1
- Update to version 1.11.0; Fixes RHBZ#2026284

* Thu Aug 26 2021 Rémi Lauzier <remilauzier@protonmail.com> - 1.10.0-1
- Update to version 1.10.0; Fixes RHBZ#1996837

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 1.9.0-1
- Initial package

## END: Generated by rpmautospec
